<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>U-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="index: U">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><a href="../Heroes/Tile/Towers/UltraLady.html" title="class in Heroes.Tile.Towers"><span class="typeNameLink">UltraLady</span></a> - Class in <a href="../Heroes/Tile/Towers/package-summary.html">Heroes.Tile.Towers</a></dt>
<dd>
<div class="block">The type Ultra lady (extends Tower)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/UltraLady.html#%3Cinit%3E(int)">UltraLady(int)</a></span> - Constructor for class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/UltraLady.html" title="class in Heroes.Tile.Towers">UltraLady</a></dt>
<dd>
<div class="block">Instantiates a new Ultra lady.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TileKinds.html#ULTRALADY">ULTRALADY</a></span> - Heroes.Tile.<a href="../Heroes/Tile/TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></dt>
<dd>
<div class="block">Ultralady tile kinds.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#ULTRALADY">ULTRALADY</a></span> - Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">The Ultralady, Felinya.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapOfTiles.html#unrender(int,javafx.scene.layout.Pane)">unrender(int, Pane)</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></dt>
<dd>
<div class="block">Unrender.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#unrender(javafx.scene.layout.Pane)">unrender(Pane)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Unrender.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#unrender(javafx.scene.layout.Pane)">unrender(Pane)</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Unrender.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/AttackRender.html#unrender(javafx.scene.layout.Pane)">unrender(Pane)</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/AttackRender.html" title="class in Heroes.Tile.Towers.Attacks">AttackRender</a></dt>
<dd>
<div class="block">Unrender attack</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/RightPanel/TowerListViewCell.html#updateItem(Heroes.Tile.TowerInfos,boolean)">updateItem(TowerInfos, boolean)</a></span> - Method in class Heroes.RightPanel.<a href="../Heroes/RightPanel/TowerListViewCell.html" title="class in Heroes.RightPanel">TowerListViewCell</a></dt>
<dd>
<div class="block">Initialize cell layout and attributes</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/TowerImprovementListViewCell.html#updateItem(Heroes.User.TowerImprovement,boolean)">updateItem(TowerImprovement, boolean)</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/TowerImprovementListViewCell.html" title="class in Heroes.MenuInterface">TowerImprovementListViewCell</a></dt>
<dd>
<div class="block">Initialize cell layout and attributes</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapOfTiles.html#updateMap()">updateMap()</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></dt>
<dd>
<div class="block">Update the hashmap of tiles</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapOfTiles.html#updateMap(int,Heroes.Tile.Tile,java.util.HashMap)">updateMap(int, Tile, HashMap&lt;Integer, Tile&gt;)</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></dt>
<dd>
<div class="block">Update hash map of tiles.</div>
</dd>
<dt><a href="../Heroes/User/User.html" title="class in Heroes.User"><span class="typeNameLink">User</span></a> - Class in <a href="../Heroes/User/package-summary.html">Heroes.User</a></dt>
<dd>
<div class="block">The type User.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#%3Cinit%3E()">User()</a></span> - Constructor for class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Instantiates a new User.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#%3Cinit%3E(int,int,int,int,int,int,java.lang.String)">User(int, int, int, int, int, int, String)</a></span> - Constructor for class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Instantiates a new User.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
